# [Управление процессами](README.en.md)

Создание архива, переключение домена, составление скриптов и создание репозиториев для публикации.

| № | Скрипты Bash                                   | Выполняемые действия                                                             |
|---|:-----------------------------------------------|:---------------------------------------------------------------------------------|
| 1 | [**archive_backup.sh**](archive_backup.sh)     | Создание общего архива для каталогов проектов на текущую дату.                   |
|   | [archive_packages.sh](archive_packages.sh)     | Сборка вёб-сайтов, создание и копирование архивов для развёртывания.             |
| 2 | [**info_param.sh**](info_param.sh)             | Параметр для других скриптов. Переключение домена удалённого репозитория.        |
|   | [info_references.sh](info_references.sh)       | Обновление домена удалённого репозитория в перекрёстных ссылках в описаниях.     |
|   | [info_tree_license.sh](info_tree_license.sh)   | Построение дерева каталогов для каждого проекта и копирование файлов лицензии.   |
| 3 | [**repo_compose.sh**](repo_compose.sh)         | Составление скриптов с параметрами и копирование их в каталоги проектов.         |
|   | [repo_gitea.tmpl.sh](repo_gitea.tmpl.sh)       | Шаблон скрипта без параметров для создания удалённого репозитория gitea.         |
|   | [repo_gitlab.tmpl.sh](repo_gitlab.tmpl.sh)     | Шаблон скрипта без параметров для создания удалённого репозитория gitlab.        |
|   | [repo_local.tmpl.sh](repo_local.tmpl.sh)       | Шаблон скрипта без параметров для создания локального репозитория.               |
| 4 | [**repo_orchestrate.sh**](repo_orchestrate.sh) | Параллельное выполнение скриптов и создание репозиториев для каталогов проектов. |

## Каталоги проектов

Локальные каталоги проектов расположены на одном уровне. На сервере
репозитории с вёб-сайтами переходят в отдельную группу, а остальные
репозитории остаются у пользователя. Структура каталогов для
[git&period;org&period;ru](https://git&period;org&period;ru/golovin) и
[hub&period;mos&period;ru](https://hub&period;mos&period;ru/golovin).

<pre>
.
├─ <a href='https://hub.mos.ru/golovin/color-tomato-theme/blob/master/DIRECTORY_TREE.md'>color-tomato-theme</a>
├─ <a href='https://hub.mos.ru/golovin/older-tomato-theme/blob/master/DIRECTORY_TREE.md'>older-tomato-theme</a>
├─ <a href='https://hub.mos.ru/golovin/pomodoro/blob/master/DIRECTORY_TREE.md'>pomodoro</a>
├─ <a href='https://hub.mos.ru/pomodoro/1/blob/master/DIRECTORY_TREE.md'>pomodoro1</a>
├─ <a href='https://hub.mos.ru/pomodoro/2/blob/master/DIRECTORY_TREE.md'>pomodoro2</a>
├─ <a href='https://hub.mos.ru/pomodoro/3/blob/master/DIRECTORY_TREE.md'>pomodoro3</a>
├─ <a href='https://hub.mos.ru/pomodoro/4/blob/master/DIRECTORY_TREE.md'>pomodoro4</a>
├─ <a href='https://hub.mos.ru/pomodoro/5/blob/master/DIRECTORY_TREE.md'>pomodoro5</a>
└─ <a href='https://hub.mos.ru/pomodoro/6/blob/master/DIRECTORY_TREE.md'>pomodoro6</a>
</pre>
